%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define epiver 2.22
%define api_version 2.22
%define svn 1648

Summary: Extensions for the GNOME Web Browser, Epiphany
Name: epiphany-extensions
Version: 2.22.0
Release: %mkrel 3
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=521874
Patch: epiphany-extensions-2.22.0-fix-page-info.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=521880
Patch1: epiphany-extensions-2.22.0-fix-smart-bookmarks.patch
License: GPL
Group: Networking/WWW
Url: http://www.gnome.org/projects/epiphany/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: epiphany-devel >= %epiver
BuildRequires: mozilla-firefox-devel
BuildRequires: OpenSP-devel
BuildRequires: pcre-devel
BuildRequires: dbus-devel >= 0.50
BuildRequires: perl-XML-Parser
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
Requires: epiphany >= %epiver
Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description
This package contains the following extensions for the GNOME Web Browser:
Actions
Ad blocker
Auto-scroller
Auto-reload
Certificates
Creative Commons License viewer
Error-viewer
Epilicious
Favicon
Gestures
Greasemonkey
Java Console
Live HTTP Headers
Net-monitor
Page-info
Permissions
Push scroller
Python Console
RSS
Select stylesheet
Sidebar
Smart-bookmarks lookup
Tab groups
Tab states

%prep
%setup -q
%patch
%patch1

cp extensions/error-viewer/README README.error-viewer

%build
#gw not enabled extensions:
#net-monitor
%configure2_5x --with-extensions=actions,adblock,auto-reload,auto-scroller,certificates,cc-license-viewer,epilicious,error-viewer,extensions-manager-ui,favicon,gestures,greasemonkey,java-console,livehttpheaders,page-info,permissions,push-scroller,python-console,rss,select-stylesheet,sidebar,smart-bookmarks,tab-groups,tab-states \
%if %mdkversion <= 200700
--with-mozilla=mozilla-firefox
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name-%api_version
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

cat %name.lang >> %name-%api_version.lang


#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/epiphany/%{api_version}/extensions/*.la \
      %buildroot/var/lib/scrollkeeper

%post
%update_scrollkeeper
%define schemas epilicious smart-bookmarks 
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_scrollkeeper


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-%api_version.lang
%defattr(-,root,root)
%doc COPYING* AUTHORS NEWS README*
#%doc ChangeLog
%doc extensions/gestures/ephy-gestures.xml
%_sysconfdir/gconf/schemas/smart-bookmarks.schemas
%_sysconfdir/gconf/schemas/epilicious.schemas
%_datadir/%name/
%_datadir/epiphany/icons/hicolor/*/status/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%dir %{_libdir}/epiphany
%_libdir/epiphany/%{api_version}


%changelog
* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-3mdv2008.1
+ Revision: 187101
- add patches to fix smart-bookmarks and page info extensions

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 187041
- remove smart-bookmarks schema file
- disable smart-bookmarks and page-info extensions (Reinout)

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 185959
- new version
- bump deps
- update api version

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175665
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-0.1648.1mdv2008.1
+ Revision: 139682
- svn snapshot to have working extensions for epi 2.21

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98737
- new version

* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 90803
- new version
- bump deps

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63155
- new version

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56750
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50713
- new version

* Sat Jun 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 37663
- rebuild for new libosp

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 36039
- new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32246
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14001
- new version


* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 143331
- fix epilicious plugin (reinout

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142030
- new version
- bump deps

* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 130933
- new version
- enable epilicious (Reinout)
- update file list

* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-2mdv2007.1
+ Revision: 103512
- enable creative commons license viewer (Reinout)

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99120
- new version
- install gconf schemas
- bump deps
- update file list

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-2mdv2007.1
+ Revision: 92060
- fix firefox detection

* Sat Dec 02 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2007.1
+ Revision: 90027
- new version
- handle scrollkeeper
- fix directory ownership

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2007.0
+ Revision: 65996
- add livehttpheaders extension
- Import epiphany-extensions

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Rebuild with latest firefox

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.0
- disable dashboard

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- New release 2.16.0

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1

* Tue May 16 2006 Götz Waschk <waschk@mandriva.org> 2.14.1.1-1mdk
- New release 2.14.1.1

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- rebuild for new firefox

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix buildrequires

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
-

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patches 1, 2 (merged upstream)

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-3mdk
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-2mdk
- rebuild for new mozilla-firefox
- use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- New release 1.8.2

* Tue Oct 18 2005 Gtz Waschk <waschk@mandriva.org> 1.8.1-2mdk
- fix list of enabled extensions (bug #19289)

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.1-1mdk
- Release 1.8.1
- Remove patch0 (merged upstream)

* Sat Sep 17 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-4mdk
- disable adblock extension

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-3mdk
- Add requires_exception to prevent from asking mozilla

* Sat Aug 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.5-2mdk
- add BuildRequires: gnome-common intltool

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- New release 1.6.5

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-4mdk 
- Drop sample extensions

* Wed Jul 20 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-3mdk
- fix buildrequires

* Wed Jul 20 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-2mdk
- enable all extensions

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- New release 1.6.4

* Sun May 29 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.3-3mdk
- add BuildRequires: automake1.9

* Thu May 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk 
- Rebuild with FF 1.0.4
- don't package .la files
- Patch1: fix extensions so name

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- New release 1.6.2
- requires new epiphany
- enable all extensions
- patch for firefox
- fix deps

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.5-1mdk
- New release 1.4.5

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-2mdk 
- Rebuild with mozilla 1.7.5

* Mon Dec 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- New release 1.4.4

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- requires new epiphany
- New release 1.4.3

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- fix file list
- New release 1.4.2
- Remove patch0 (merged upstream)

* Fri Sep 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- patch to build with mozilla 1.7.2

* Tue Aug 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- requires new epiphany
- New release 0.9.1

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- reallow libtoolize
- rebuild for new g++

* Tue May 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-6mdk
- rebuild for new mozilla

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-5mdk
- fix buildrequires again

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-4mdk
- requires epiphany 1.2.1
- another buildrequires fix

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- fix buildrequires

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- First package from Gtz Waschk

